Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4569 - Undefined reference
Summary: Undefined reference
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-17 13:25 UTC by es
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-29 16:27:38 UTC


Attachments (Terms of Use)

Description es 1999-08-17 13:25:38 UTC
Linking a program under the version 6.0 causes messages:
ioinit.o(.text+0x1b2): undefined reference to `_IO_stdin_'
ioinit.o(.text+0x1bb): undefined reference to `_IO_stdout_'
ioinit.o(.text+0x245): undefined reference to `_IO_stdout_'
ioinit.o(.text+0x26d): undefined reference to `_IO_stderr_'

gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2
release)
The problem does not exist under v 5.2.

Comment 1 Bill Nottingham 1999-08-18 19:21:59 UTC
What program?

Comment 2 Bill Nottingham 1999-08-21 20:33:59 UTC
Have the support libraries that you're linking against been
compiled against glibc2.0 or glibc2.1?

You can't link in object files compiled against glibc2.0 into
a glibc2.1 program - you'd need to use shared libraries.


Note You need to log in before you can comment on or make changes to this bug.